Bug 2105785 (CVE-2022-2380) - CVE-2022-2380 kernel: vulnerability in sm712fb driver
Summary: CVE-2022-2380 kernel: vulnerability in sm712fb driver
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2022-2380
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2104163
TreeView+ depends on / blocked
 
Reported: 2022-07-10 13:59 UTC by Alex
Modified: 2022-08-10 14:44 UTC (History)
50 users (show)

Fixed In Version: Linux kernel 5.18-rc1
Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds memory access flaw was found in the Linux kernel in the drivers/video/fbdev/sm712fb.c:smtcfb_read() function. This flaw allows local attackers to crash the kernel.
Clone Of:
Environment:
Last Closed: 2022-07-13 14:20:12 UTC


Attachments (Terms of Use)

Description Alex 2022-07-10 13:59:09 UTC
A flaw in the linux Kernel found. When user reading three bytes from the framebuffer with the sm712fb driver usage, then crash happens.

Reference:
https://git.kernel.org/pub/scm/linux/kernel/git/deller/linux-fbdev.git/commit/?h=for-next&id=bd771cf5c4254511cc4abb88f3dab3bd58bdf8e8


Note You need to log in before you can comment on or make changes to this bug.